Toybrick

debian查看rknn-api和驱动的版本号使用什么指令?

jiajia1990

中级会员

积分
448
发表于 2020-4-2 09:45:06    查看: 8625|回复: 2 | [复制链接]    打印 | 显示全部楼层
本帖最后由 jiajia1990 于 2020-4-2 09:50 编辑

1、在debian上使用rpm -qa显示:“bash:rpm:command not found”。查看rknn-api需要什么指令?
2、目前我是运行脚本才能看出是什么版本,还有一个问题是我执行sudo apt install rknn-3399pro更新,不给更新。于是我用了sudo apt upgrade rknn-3399pro更新,运行脚本发现只有驱动更新为了1.3.0,rknn-api还是1.2.0,怎么回事?

回复

使用道具 举报

jefferyzhang

版主

积分
13007
发表于 2020-4-2 10:04:14 | 显示全部楼层
1. debian包管理不是rpm,可以用dpkg -l看
2. 运行时候可以看到准确的api/drv版本
3. 更新前先 apt update 再 apt upgrade
4. 如果你用的是python的rknn,api用的就是系统的。你要是自己c编译的,那你得更新c代码里link的api
回复

使用道具 举报

Ptolemaeus

中级会员

积分
205
发表于 2021-3-11 12:06:46 | 显示全部楼层
官方建议用哪种api啊?
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

产品中心 购买渠道 开源社区 Wiki教程 资料下载 关于Toybrick


快速回复 返回顶部 返回列表